{ config, ... }: {
  services = {
    coredns.enable = true;
    # https://coredns.io/manual/configuration/  		
    # https://github.com/coredns/coredns.io/blob/master/content/manual/configuration.md
    coredns.config = ''
      matri.cx {
        template IN A  {
            answer "{{ .Name }} 0 IN A 192.168.0.130"
        }
      }

      mail.matri.cx {
        template IN A  {
            answer "{{ .Name }} 0 IN A 149.28.112.101"
        }
      }

      mc.caitlynncox.com {
        template IN A  {
            answer "{{ .Name }} 0 IN A 192.168.0.131"
        }
      }


      *.matri.cx {
        template IN A  {
            answer "{{ .Name }} 0 IN A 192.168.0.130"
        }
      }

      eversole.co {
        template IN A  {
            answer "{{ .Name }} 0 IN A 192.168.0.130"
        }
      }

      box.eversole.co {
        template IN A  {
            answer "{{ .Name }} 0 IN A 149.28.112.101"
        }
      }

      *.eversole.co {
        template IN A  {
            answer "{{ .Name }} 0 IN A 192.168.0.130"
        }
      }

      . {
        forward . 9.9.9.9 149.112.112.112 84.200.69.80 84.200.70.40
        cache
      }

      # Stop unblocking these sites. Seriously.
      reddit.com {
        template IN A  {
            answer "{{ .Name }} 0 IN A 127.0.0.1"
        }
      }

      *.reddit.com { 
        template IN A  {
            answer "{{ .Name }} 0 IN A 127.0.0.1"
        }
      }

      lobste.rs {
        template IN A  {
            answer "{{ .Name }} 0 IN A 127.0.0.1"
        }
      }

      ycombinator.com {
        template IN A  {
            answer "{{ .Name }} 0 IN A 127.0.0.1"
        }
      }

      *.ycombinator.com {
        template IN A  {
            answer "{{ .Name }} 0 IN A 127.0.0.1"
        }
      }
    '';
  };
}
