{ config, pkgs, ... }: {
  programs.bash.promptInit = ''
    PS1="\n\[\033[01;32m\]\u $\[\033[00m\]\[\033[01;36m\] \w >\[\033[00m\] "
  '';
  users.users = {
    sezycei = {
      isNormalUser = true;
      passwordFile = config.age.secrets.sezycei.path;
      extraGroups = [ "wheel" "nginx" ];
      packages = with pkgs; [ byobu tmux stack ];
    };

    cridycei = {
      isNormalUser = true;
      passwordFile = config.age.secrets.cridycei.path;
      extraGroups = [ ];
      packages = with pkgs; [ ];
    };

    torrent = {
      isNormalUser = true;
      homeMode = "770";
    };
  };
}
